LibreOffice LibreOffice 24.2 SDK API Reference

Loading...
Searching...
No Matches
Variables
com::sun::star::xml::crypto::CipherID Constant Group Reference

The constant set contains identifiers of supported cipher-creation algorithms. More...

## Variables
const long | AES_CBC_W3C_PADDING = 1
| identifier of AES algorithm in CBC mode with W3C padding
const long | BLOWFISH_CFB_8 = 2
| identifier of the Blowfish algorithm in 8-bit CFB mode
const long | AES_GCM_W3C = 3
| identifier of AES algorithm in GCM mode with 96-bit IV prefixed, 128 bit authentication tag, and no padding, as specified in [XMLENC-CORE1] 5.2.4 AES-GCM.

## Detailed Description

The constant set contains identifiers of supported cipher-creation algorithms.

See also
  XCipherContextSupplier

Since
  OOo 3.4

## Variable Documentation

## ◆ AES_CBC_W3C_PADDING

const long AES_CBC_W3C_PADDING = 1

identifier of AES algorithm in CBC mode with W3C padding

See also
  https://www.w3.org/TR/xmlenc-core1/#sec-Padding
  https://www.w3.org/TR/xmlenc-core1/#sec-AES

## ◆ AES_GCM_W3C

const long AES_GCM_W3C = 3

identifier of AES algorithm in GCM mode with 96-bit IV prefixed, 128 bit authentication tag, and no padding, as specified in [XMLENC-CORE1] 5.2.4 AES-GCM.

See also
  https://www.w3.org/TR/xmlenc-core1/#sec-AES-GCM

Since
  LibreOffice 24.2

## ◆ BLOWFISH_CFB_8

const long BLOWFISH_CFB_8 = 2

identifier of the Blowfish algorithm in 8-bit CFB mode